Subject: Re: [EXT] Re: [PATCH v12 net-next 12/15] net: mvpp2: add BM protection underrun feature support

From: Andrew Lunn <[email-masked]>
Date: Mon, 15 Feb 2021 01:38:38 +0100

> > Does this even need to be configurable? What is the cost of turning it on?
> > How does having less pools affect the system? Does average latency go up?
> > When would i consider an underrun actually a good thing?
> > 
> > Maybe it should just be hard coded on? Or we should try to detect when
> > underruns are happening a lot, and dynamically turn it on for a while?
> > 
> The cost of this change is that the number of pools reduced from 16 to 8.
> The current driver uses only 4pools, but some future features like QoS can use over 4 pools. 

So you are saying, there is currently no cost for turning it on. So it
seems like you should just turn it on, and forget the module
parameter. When QoS features are added which require more than 8 pools
you can then address the issue of if this should be configurable.

    Andrew